var
  a: string;
  i, j: integer;
  fo: text;
  c: char;
begin
  assign(fo, 'input.txt');
  rewrite(fo);
  writeln(fo, 10000);
  for i := 1 to 10000 do begin
    a := '';
    c := chr(random(5) + ord('a'));
    for j := 1 to random(255) + 1 do
      a := a + c;
    writeln(fo, a);
  end;
  close(fo);
end.